Package com.sas.services.information

# Class PartialFolderResultsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.information.PartialResultsException
com.sas.services.information.PartialFolderResultsException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class PartialFolderResultsException extends PartialResultsException
This Exception gets thrown if an Information Services search is performed which may return multiple objects, and at least one exception is thrown while retrieving metadata. This specific exception class is used if the results set is a folder structure. The Folder may be empty, meaning that all results had an error of some type.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.information.PartialResultsException

  `_payload`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartialFolderResultsException()`
  Default constructor
  `PartialFolderResultsException(FolderInterface results, String message)`
  Construct a new exception with a text message.
  `PartialFolderResultsException(String message)`
  Construct a new exception with a text message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FolderInterface`
  `getResults()`

  ### Methods inherited from class com.sas.services.information.PartialResultsException

  `addException, getExceptions, getMessage`

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PartialFolderResultsException

    public PartialFolderResultsException()
    Default constructor

  - ### PartialFolderResultsException

    public PartialFolderResultsException(String message)
    Construct a new exception with a text message.
    Parameters:
      `message` -

  - ### PartialFolderResultsException

    public PartialFolderResultsException(FolderInterface results, String message)
    Construct a new exception with a text message.
    Parameters:
      `results` - The set of results that were found, which may be a subset of the results that were desired.
      `message` - A message that indicates at least one of the causes of the failure.

- ## Method Details

  - ### getResults

    public FolderInterface getResults()